%define anolis_release 1
%global pypi_name diffusers
%global pypi_version 0.26.3

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        State-of-the-art diffusion in PyTorch and JAX

License:        Apache 2.0 License
URL:            https://github.com/huggingface/diffusers
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(accelerate) >= 0.11
BuildRequires:  python3dist(datasets)
BuildRequires:  python3dist(isort) >= 5.5.4
BuildRequires:  python3dist(jax)
BuildRequires:  python3dist(jinja2)
BuildRequires:  python3dist(librosa)
BuildRequires:  python3dist(protobuf) >= 3.20.3
BuildRequires:  python3dist(safetensors) >= 0.3.1
BuildRequires:  python3dist(scipy)
BuildRequires:  python3dist(sentencepiece) > 0.1.92
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(tensorboard)
BuildRequires:  python3dist(torch) >= 1.4
BuildRequires:  python3dist(torchvision)
BuildRequires:  python3dist(transformers) >= 4.25.1
BuildRequires:  python3dist(urllib3)

%description
Diffusers is the go-to library for state-of-the-art pretrained diffusion models for generating images, audio, 
and even 3D structures of molecules. Whether you're looking for a simple inference solution or training your 
own diffusion models, Diffusers is a modular toolbox that supports both. Our library is designed with a 
focus on usability over performance, simple over easy, and customizability over abstractions.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(accelerate) >= 0.11
Requires:       python3dist(datasets)
Requires:       python3dist(isort) >= 5.5.4
Requires:       python3dist(jax)
Requires:       python3dist(jinja2)
Requires:       python3dist(librosa)
Requires:       python3dist(protobuf) >= 3.20.3
Requires:       python3dist(safetensors) >= 0.3.1
Requires:       python3dist(scipy)
Requires:       python3dist(sentencepiece) > 0.1.92
Requires:       python3dist(setuptools)
Requires:       python3dist(tensorboard)
Requires:       python3dist(torch) >= 1.4
Requires:       python3dist(torchvision)
Requires:       python3dist(transformers) >= 4.25.1
Requires:       python3dist(urllib3)
%description -n python3-%{pypi_name}
Diffusers is the go-to library for state-of-the-art pretrained diffusion models for generating images, audio, 
and even 3D structures of molecules. Whether you're looking for a simple inference solution or training your 
own diffusion models, Diffusers is a modular toolbox that supports both. Our library is designed with a 
focus on usability over performance, simple over easy, and customizability over abstractions.

%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{_bindir}/diffusers-cli
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Mon Feb 19 2024 zhongling.h <zhonglingh@linux.alibaba.com> - 0.26.3-1
- Initial package.